<!doctype html>
<html lang="en" dir="ltr">
	<head>
		<meta charset="UTF-8">
		<meta name='viewport' content='width=device-width, initial-scale=1.0, user-scalable=0'>
		<meta http-equiv="X-UA-Compatible" content="IE=edge">

		<meta name="msapplication-TileColor" content="#0061da">
		<meta name="theme-color" content="#1643a3">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent"/>
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="mobile-web-app-capable" content="yes">
		<meta name="HandheldFriendly" content="True">
		<meta name="MobileOptimized" content="320">
		<link rel="icon" href="favicon.ico" type="image/x-icon"/>
		<link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />

		<!-- Title -->
		<title>Swachh Bharat-Reset Password</title>
		
		<!-- Dashboard css -->
		<link href="{{ url('/')}}/assets/css/dashboard.css" rel="stylesheet" />
		
		<!-- Font family -->
		<link href="https://fonts.googleapis.com/css?family=Comfortaa:300,400,700" rel="stylesheet">

		<!-- C3 Charts css -->
		<link href="{{ url('/')}}/assets/plugins/charts-c3/c3-chart.css" rel="stylesheet" />

		<!-- Custom scroll bar css-->
		<link href="{{ url('/')}}/assets/plugins/scroll-bar/jquery.mCustomScrollbar.css" rel="stylesheet" />
		
		<!---Font icons css-->
		<link href="{{ url('/')}}/assets/plugins/iconfonts/plugin.css" rel="stylesheet" />
		<link  href="{{ url('/')}}/assets/fonts/fonts/font-awesome.min.css" rel="stylesheet">

	</head>

	<body class="login-img">

	    <!-- page -->
		<div class="page ">
			<div class="page-single">
				<div class="container">

				    <!-- row -->
					<div class="row">
						<div class="col  mx-auto">
							<div class="text-center mb-6">
								<img src="{{ url('/')}}/assets/images/logo.png" class="" alt="">
							</div>
							<div class="row justify-content-center">
								<div class="col-md-8 col-lg-6 col-xl-5 col-sm-7">
									<div class="card-group mb-0">
										<div class="card p-4">
											<div class="card-body">
												<p class="text-success">{{ Session::get('message') }}</p>
												<form action="{{ route('forgotpassword.storenewpassword') }}" method="post">
                                                {{ csrf_field()}}
												<h3>Reset password</h3>
												<div class="input-group mb-3">
													<span class="input-group-addon"><i class="fa fa-envelope"></i></span>
													<input type="password" class="form-control" placeholder="New Password" id="password" name="password">
												</div>
											    	@if ($errors->has('password'))
									                <div class="err" style="color:red;margin-bottom: 10px;">
									                    <strong>{{ $errors->first('password') }}.</strong>
									                </div>
									               @endif
												<div class="input-group mb-3">
													<span class="input-group-addon"><i class="fa fa-envelope"></i></span>
													<input type="password" class="form-control" placeholder="Confirm Password" id="password_confirmation" name="password_confirmation" >
												</div>
												<div class="row">
													<div class="col-12">
														<button type="submit" class="btn btn-gradient-primary btn-block">Send</button>
													</div>
												</div>
												<input name="password_token" type="hidden" value="{{$token}}">
											    </form>
											</div>

										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<!-- row end -->

				</div>
			</div>
		</div>
		<!-- page end -->
		
		<!-- Back to top -->
		<a href="#top" id="back-to-top"><i class="fa fa-angle-up"></i></a>

		<!-- Jquery js-->
		<script src="{{ url('/')}}/assets/js/vendors/jquery-3.2.1.min.js"></script>
		
		<!--Bootstrap js-->
		<script src="{{ url('/')}}/assets/js/vendors/bootstrap.bundle.min.js"></script>
		
		<!--Jquery Sparkline js-->
		<script src="{{ url('/')}}/assets/js/vendors/jquery.sparkline.min.js"></script>
		
		<!-- Chart Circle js-->
		<script src="{{ url('/')}}/assets/js/vendors/circle-progress.min.js"></script>
		
		<!-- Star Rating js-->
		<script src="{{ url('/')}}/assets/plugins/rating/jquery.rating-stars.js"></script>
		
		<!-- Custom scroll bar js-->
		<script src="{{ url('/')}}/assets/plugins/scroll-bar/jquery.mCustomScrollbar.concat.min.js"></script>
		
	</body>
</html>
